package cc.bnblogs.feign.feign;

import cc.bnblogs.feign.entity.Student;
import cc.bnblogs.feign.feign.impl.FeignError;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.Collection;

// 声明要调用的微服务名称
@FeignClient(value = "provider",fallback = FeignError.class)
public interface FeignProviderClient {
    // 和provider中的接口保持一致
    @GetMapping("/findAll")
    Collection<Student> findAll();
    @GetMapping("/findById/{id}/")
    Student findById(@PathVariable("id") long id);
}
