package cc.bnblogs.resttemplate.controller;

import cc.bnblogs.resttemplate.entity.Student;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.client.RestTemplate;

import java.util.Collection;

@RestController
@RequestMapping("rest")
public class IndexController {
    @Autowired
    private RestTemplate restTemplate;
    @GetMapping("/findAll")
    public Collection findAll() {
//        return restTemplate.getForEntity("http://localhost:8010/findAll",Collection.class).getBody();
        // 和上面的语句作用相同
        return restTemplate.getForObject("http://localhost:8010/findAll",Collection.class);
    }

    @GetMapping("/findById/{id}")
    public Student findById(@PathVariable long id) {
        return restTemplate.getForObject("http://localhost:8010/findById/{id}",Student.class,id);
    }

    @PostMapping("/save")
    public void save(@RequestBody Student student) {
        restTemplate.postForObject("http://localhost:8010/save",student, Student.class);
    }


    @PutMapping("/update")
    public void update(@RequestBody Student student) {
        restTemplate.put("http://localhost:8010/update",student);
    }

    @DeleteMapping("/delete/{id}/")
    public void deleteById(@PathVariable("id") long id) {
        restTemplate.delete("http://localhost:8010//deleteById/{id}",id,Student.class);
    }
}
